<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [purchaseTor](./bitburner.singularity.purchasetor.md)

## Singularity.purchaseTor() method

Purchase the TOR router.

**Signature:**

```typescript
purchaseTor(): boolean;
```
**Returns:**

boolean

True if action is successful or if you already own TOR router, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function allows you to automatically purchase a TOR router. The cost for purchasing a TOR router using this function is the same as if you were to manually purchase one.

